package com.yunfeiyun.agmp.common.core.domain.model;

import com.yunfeiyun.agmp.common.core.domain.entity.SysDept;
import com.yunfeiyun.agmp.common.core.domain.entity.SysRole;

import java.util.List;

public interface IBaseUser {
    public String getId();
     String getUserLoginname();
     boolean isAdmin();
      String getUserName();
     void setUserName(String userName);
     void setUserLoginname(String userLoginname);
     String getUserEmail();
     void setUserEmail(String email);
      String getUserMobile();
      void setUserMobile(String userMobile);
      String getUserSex();
      void setUserSex(String userSex);
      String getUserAvatar();
      void setUserAvatar(String userAvatar);
      String getUserLoginpwd();
      void setUserLoginpwd(String userLoginpwd);
      String getUserLockstatus();
      void setUserLockstatus(String userLockstatus);
      String getUserDelstatus();
      void setUserDelstatus(String userDelstatus);
      String getUserLastloginip();
      void setUserLastloginip(String userLastloginip);

      String getUserLastlogindate();
      void setUserLastlogindate(String userLastlogindate);
     public SysDept getDept();
     public void setDept(SysDept dept);
     public List<SysRole> getRoles();
     public void setRoles(List<SysRole> roles);
     public String[] getRoleIds();
     public void setRoleIds(String[] roleIds);
     public Long[] getPostIds();
     public void setPostIds(Long[] postIds);
     public String getRoleId();
     public void setRoleId(String roleId);
     public String getUserCreator();
     public void setUserCreator(String userCreator);
     public String getUserCreateddate();
     public void setUserCreateddate(String userCreateddate);
     public String getUserModifier();
     public void setUserModifier(String userModifier);
     public String getUserModifieddate();
     public void setUserModifieddate(String userModifieddate);
     public String getUserRemark();
     public void setUserRemark(String userRemark);
     public String getDeptId();
     public void setDeptId(String deptId);
     public String getUserId();
     public void setUserId(String userId);


}
